#
# spec file for package ktp-common-internals
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
%bcond_without lang
Name:           ktp-common-internals
Version:        18.12.3
Release:        1.1
Summary:        Telepathy common module
License:        LGPL-2.1-or-later
Group:          Development/Libraries/Other
URL:            http://community.kde.org/Real-Time_Communication_and_Collaboration
Source:         https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  doxygen
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kaccounts-integration-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kpeople5-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  kwallet-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  libaccounts-glib-devel
BuildRequires:  libaccounts-qt5-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libsignon-qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  telepathy-accounts-signon
BuildRequires:  telepathy-logger-qt5-devel
BuildRequires:  telepathy-mission-control-devel
BuildRequires:  telepathy-qt5-devel
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Sql) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(libotr) >= 4.0.0
Requires:       ktp-icons
Requires:       telepathy-accounts-signon
Provides:       libktpcommoninternals6 = %{version}
Provides:       libktpcommoninternals7 = %{version}
Provides:       libktpcommoninternals8 = %{version}
Obsoletes:      %{name}5 < %{version}
Obsoletes:      libktpcommoninternals6 < %{version}
Obsoletes:      libktpcommoninternals7 < %{version}
Obsoletes:      libktpcommoninternals8 <= %{version}
Provides:       %{name}5 = %{version}
Obsoletes:      ktp-kpeople < %{version}
Recommends:     %{name}-lang

%description
ktp-common-internals is the base library for all the KDE Telepathy packages.

%package devel
Summary:        Telepathy common module
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules
Requires:       kcmutils-devel
Requires:       kwallet-devel
Requires:       pkgconfig
Requires:       telepathy-logger-qt5-devel
Requires:       telepathy-qt5-devel
Requires:       pkgconfig(Qt5Widgets)
Obsoletes:      %{name}5-devel < %{version}
Provides:       %{name}5-devel = %{version}

%description devel
ktp-common-internals is the base library for all the KDE Telepathy packages.

%package -n ktp-icons
Summary:        Icons for KDE Telepathy
Group:          Development/Libraries/Other
Obsoletes:      ktp-icons5 < %{version}
Provides:       ktp-icons5 = %{version}

%description -n ktp-icons
icons for all the KDE Telepathy packages.

%lang_package

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
  %endif

  %fdupes %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING*
%{_kf5_bindir}/ktp-debugger
%{_kf5_libdir}/libKTpCommonInternals.so.*
%{_kf5_libdir}/libKTpLogger.so.*
%{_kf5_libdir}/libKTpModels.so.*
%{_kf5_libdir}/libKTpOTR.so.*
%{_kf5_libdir}/libKTpWidgets.so.*
%{_kf5_libdir}/libexec/
%{_kf5_notifydir}/
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_configkcfgdir}/
%{_kf5_sharedir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.Proxy.service
%{_kf5_sharedir}/katepart5/
%{_kf5_sharedir}/telepathy/

%files -n ktp-icons
%{_kf5_iconsdir}/hicolor/

%files devel
%license COPYING*
%{_kf5_cmakedir}/KTp/
%{_kf5_libdir}/libKTpCommonInternals.so
%{_kf5_libdir}/libKTpLogger.so
%{_kf5_libdir}/libKTpModels.so
%{_kf5_libdir}/libKTpOTR.so
%{_kf5_libdir}/libKTpWidgets.so
%{_kf5_prefix}/include/KTp/

%if %{with lang}
%files lang -f %{name}.lang
%license COPYING*
%endif

%changelog
* Thu Mar  7 2019 Wolfgang Bauer <wbauer@tmo.at>
- Update to 18.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
  * Fix escape/url filter URL placeholder backward substitution (kde#384968)
* Sun Feb 10 2019 wbauer@tmo.at
- Update to 18.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.2.php
- Changes since 18.12.1:
  * No code changes since 18.12.1
* Wed Jan 16 2019 wbauer@tmo.at
- Update to 18.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.1.php
- Changes since 18.12.0:
  * No code changes since 18.12.0
* Fri Dec 14 2018 wbauer@tmo.at
- Update to 18.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.08.3:
  * Use QStringLiteral for string constants
  * Don't crash when working with non-KTp accounts
  * Don't show large empty chat log if contact doesn't support it
- Run spec-cleaner
* Fri Nov  9 2018 wbauer@tmo.at
- Update to 18.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.3.php
- Changes since 18.08.2:
  * No code changes since 18.08.2
* Fri Oct 12 2018 wbauer@tmo.at
- Update to 18.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.2.php
- Changes since 18.08.1:
  * None
* Fri Sep  7 2018 wbauer@tmo.at
- Update to 18.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.1.php
- Changes since 18.08.0:
  * None
* Fri Aug 17 2018 wbauer@tmo.at
- Update to 18.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.0.php
- Changes since 18.04.3:
  * Provide a default to fix a fall through statement in FavoriteRoomsModel
  * Fix a fall through statement in FavoriteRoomsModel
  * KCoreConfigSkeleton::readConfig () is deprecated, port away
  * KCoreConfigSkeleton::writeConfig () is deprecated, port away
  * QStyleOptionViewItemV4 is deprecated, port away
  * [declarative] Add getters to MessageModel for lastMessage and lastMessageDateTime
  * [declarative] Add roles to MessagesModel that allows painting the messages grouped
  * [declarative] Allow later setting of Tp::Account to Conversation
  * [declarative] Add "ready" property to TelepathyManager and call becomeReady() in ctor
* Fri Jul 13 2018 wbauer@tmo.at
- Update to 18.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
  * None
* Fri Jun  8 2018 wbauer@tmo.at
- Update to 18.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.2.php
- Changes since 18.04.1:
  * None
* Fri May 25 2018 wbauer@tmo.at
- Update to 18.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.1.php
- Changes since 17.08.3:
  * Remove obsolete reviewboardrc file
  * Integrate Status Handler
* Thu Nov  9 2017 lbeltrame@kde.org
- Update to 17.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.3.php
- Changes since 17.08.2:
  * None
* Mon Oct 16 2017 lbeltrame@kde.org
- Update to 17.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.2.php
- Changes since 17.08.1:
  * None
* Thu Sep  7 2017 lbeltrame@kde.org
- Update to 17.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.1.php
- Changes since 17.08.0:
  * None
* Fri Aug 11 2017 christophe@krop.fr
- Update to KDE Applications 17.08.0
  * New feature release
  * https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
  * None
* Sat Aug  5 2017 christophe@krop.fr
- Update to KDE Applications 17.07.90
  * KDE Applications 17.07.90
  * https://www.kde.org/announcements/announce-applications-17.08-rc.php
* Sun Jul 16 2017 lbeltrame@kde.org
- Update to 17.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.3.php
- Changes since 17.04.2:
  * None
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * None
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * None
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * None
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * None
* Sat Mar 25 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-beta.php
- Changes since 16.12.3:
  * Include <functional> for std::function
  * Implement > presence operator, correct < operator. Greater hidden presence type sort priority. Fully propagating PresenceModel with custom > presence operator. REVIEW: 126834
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * None
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Wed Nov  9 2016 lbeltrame@kde.org
- Update to KDE Applications 16.08.3
  * KDE Applications 16.08.3
  * https://www.kde.org/announcements/announce-applications-16.08.3.php
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.08-rc.php
* Fri Jul  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.07.90
  * KDE Applications 15.08.0 RC1
  * https://www.kde.org/announcements/announce-applications-15.08-rc.php
* Mon Jul  6 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.3
  * KDE Applications 15.04.3
  * https://www.kde.org/announcements/announce-applications-15.04.3.php
* Sat May 30 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.2
  * KDE Applications 15.04.2
  * https://www.kde.org/announcements/announce-applications-15.04.2.php
* Mon May 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.1
  * KDE Applications 15.04.1
  * https://www.kde.org/announcements/announce-applications-15.04.1.php
* Sat Apr 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.04.0
  * KDE Applications 15.04.0
  * https://www.kde.org/announcements/announce-applications-15.04.0.php
* Sat Oct 18 2014 hrvoje.senjan@gmail.com
- Update to 0.9 Final:
  * Bugfixes since beta release, no upstream changelog
- Drop disable_tests.diff, and pass KDE4_BUILD_TESTS=OFF instead
* Tue Sep 16 2014 hrvoje.senjan@gmail.com
- Update to 0.8.80 (0.9 beta)
  * OTR support
  * Improved group chats
  * Modernised video chats, now based on GStreamer 1.0
  * Lots of fixes and speed improvements
- Added libgcrypt-devel and pkgconfig(libotr) >= 4.0.0 BuildRequires
- Bump telepathy-qt4-devel BuildRequires to 0.9.5
- Added disable_tests.diff: disable tests broken with older gcc versions
- Merge libktpcommoninternals%%soversion package into main one:
  the shared libraries are not used outside ktp frameworks, thus
  split does not have any benefits
* Sat Apr 26 2014 hrvoje.senjan@gmail.com
- Update to 0.8.1:
  * New bugfix release, no upstream changelog
* Wed Mar 12 2014 hrvoje.senjan@gmail.com
- Update to 0.8.0 final
  * New feature release, no upstream changelog
- Ktp-kpeople is required
- Bump libkpeople-devel buildrequires to 0.2.1
* Tue Feb 18 2014 hrvoje.senjan@gmail.com
- Update to 0.7.80 (0.8 beta)
  * New feature release, no upstream changelog
- Bump libkpeople-devel BuildRequires to >= 0.2.0 and added
  libkdepimlibs4-devel BuildRequires as per upstream change
- Remove boost-devel (Build)Requires, not needed
- Enable libkpeople support unconditionally
* Wed Jan 15 2014 hrvoje.senjan@gmail.com
- Update to final 0.7.1
  * New feature release, no upstream changelog
  * For more details, see:
    http://martys.typepad.com/blog/2014/01/kde-telepathy-071-released.html
  - Fix rpmlint warning for ktp-people subpackage (files-attr-not-set
  and suse-kde4-missing-runtime-dependency)
* Wed Oct 30 2013 hrvoje.senjan@gmail.com
- Split out kpeople integration into a separate package, ktp-kpeople,
  so users can decide whether they want to use it or not even with
  nepomuk turned on
* Tue Oct 29 2013 hrvoje.senjan@gmail.com
- Disable kpeople integration for now, not yet stable, and can
  depend on stars whether it works or not
* Sun Oct 27 2013 hrvoje.senjan@gmail.com
- Update to final 0.7.0
  * New feature release, no upstream changelog
* Mon Oct 21 2013 hrvoje.senjan@gmail.com
- Enable libkpeople support unconditionally
* Thu Oct 10 2013 hrvoje.senjan@gmail.com
- Activate libkpeople support for repos that hold 4.11 and newer
* Mon Oct  7 2013 hrvoje.senjan@gmail.com
- Bump so version to 6, as per upstream change
- Mark the so in filelist with %%version
- Added some missing Requires to devel package
* Thu Sep 26 2013 hrvoje.senjan@gmail.com
- Update to version 0.6.80
  * New feature release, please see http://www.sharpley.org.uk/blog/ktp-0.7-beta
* Thu Aug  8 2013 hrvoje.senjan@gmail.com
- Update to version 0.6.3
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-6-3
* Sun Jul 21 2013 hrvoje.senjan@gmail.com
- Added boost-devel BuildRequires
- Added %%kde4_runtime_requires
* Sat May 25 2013 hrvoje.senjan@gmail.com
- Update to version 0.6.2
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-6-2
* Wed Apr 17 2013 alinm.elena@gmail.com
- upadted to version 0.6.1
  * Bugfix release, no changelog provided
* Tue Apr  2 2013 alinm.elena@gmail.com
- updated to 0.6.0
  * New release, please see http://www.sharpley.org.uk/blog/ktp-0-6-beta
* Tue Feb 19 2013 mlin@suse.com
- Update to 0.5.3
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-5-3
* Tue Dec 18 2012 mlin@suse.com
- Update to 0.5.2
  * Bugfix release, please see http://www.sharpley.org.uk/blog/ktp-0-5-2
* Sat Oct  6 2012 toddrme2178@gmail.com
- Update to 0.5.1
  * Bugfix release
* Tue Aug 28 2012 mlin@suse.com
- Update to 0.5.0
  * Bugfix release
* Thu Jul 26 2012 toddrme2178@gmail.com
- Update to 0.4.1
  * Bugfix release
* Mon Dec 26 2011 cgiboudeaux@gmx.com
- Rename the package
* Wed Nov 30 2011 cgiboudeaux@gmx.com
- Initial commit
